Subject: Re: "cd" in bash script not being executed
From: 3APA3A <[email-masked]>
To: Mikael Åsberg <[email-masked]>
Cc: [email-masked]
Date: Thu, 8 Jul 2004 21:26:11 +0400

Dear Mikael Åsberg,

A  most  probable  you have directory which is mounted, but no directory
entry is created. Run `mount` and check if all directories used as mount
points  exist  (in  your  case problem is probably with /cvsroot, create
cvsroot directory in cygwin root).

--Thursday, July 8, 2004, 8:54:28 PM, you wrote to [email-masked]:

MÅ> Hello, I am using the latest Cygwin under Windows XP Professional. Lately,
MÅ> I've been playing around with the CVS version of emacs. I wrote a bash
MÅ> script that is supposed to check out the files and compile. However, it
MÅ> doesn't work, because the script fails to change directory. Here's the
MÅ> script:
MÅ> #!/bin/bash
MÅ> export CVS_RSH="ssh"
MÅ> cvs -z3 -d:ext:[email-masked]:/cvsroot/emacs co emacs
MÅ> cd emacs/nt/
MÅ> configure.bat --with-msvc
MÅ> mv ../lisp/url/vc-dav.el ../lisp/url/no.vc-dav.el.no
MÅ> nmake bootstrap
MÅ> nmake install

MÅ> The cd emacs/nt/ command isn't executed so the commands following it fails.
MÅ> Why and how do I fix it? I don't see any error messages pertaining to the cd
MÅ> command when running the script. I simply see that it fails to find
MÅ> configure.bat (since the directory wasn't changed) after cvs has finished.

MÅ> / Mikael

MÅ> --
MÅ> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
MÅ> Problem reports:       http://cygwin.com/problems.html
MÅ> Documentation:         http://cygwin.com/docs.html
MÅ> FAQ:                   http://cygwin.com/faq/

-- 
~/ZARAZA
Åñëè äàæå âû ïîëó÷èòå êàêîå-íèáóäü ïèñüìî, âû âñå ðàâíî íå ñóìååòå åãî ïðî÷èòàòü. (Òâåí)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/